@echo off
SetLocal EnableDelayedExpansion
color f1
echo(
echo *********************************
echo *                               *
echo *   Please make sure:           *
echo *   1. USB debug is enabled.    *
echo *   2. Drivers are installed.   *
echo *   3. Device is connected.     *
echo *                               *
echo *********************************
echo(
echo(
echo Starting adb server..
adb kill-server > nul
adb start-server > nul
echo(
echo Please allow usb debugging on the device to continue.
echo(
echo Waiting for device..
adb wait-for-device
echo(

set samsung=samsung
set LGE=LGE
set htc=htc
set motorola=motorola
set sony=sony

for /f "delims=" %%a in ('adb shell getprop ro.product.manufacturer') do @set manu=%%a
for /f "delims=" %%a in ('adb shell getprop ro.product.model') do @set mode=%%a
for /f "delims=" %%a in ('adb shell getprop ro.build.version.release') do @set vers=%%a

echo Device detected!
echo(
echo **********************
echo %manu%, %mode%
echo Android version %vers%
echo **********************
echo(

if !manu! == !samsung! ( 
  <nul set /P "=Disabling Samsung security issues, please wait."
  adb shell pm uninstall -k --user 0 com.samsung.android.sm >nul
  <nul set /P "=."  
  adb shell pm uninstall -k --user 0 com.samsung.android.sm.devicesecurity >nul
  <nul set /P "=."
  adb shell pm uninstall -k --user 0 com.samsung.android.lool >nul
  <nul set /P "=."
  adb shell pm uninstall -k --user 0 com.samsung.android.securitylogagent >nul
  <nul set /P "=."
  adb shell pm uninstall -k --user 0 com.samsung.android.sm.devicesecurity >nul
  <nul set /P "=."
  adb shell pm uninstall -k --user 0 com.samsung.android.asksmanager >nul
  <nul set /P "=."
  adb shell pm uninstall -k --user 0 com.samsung.android.smcore >nul
  <nul set /P "=."
  adb shell pm uninstall -k --user 0 com.samsung.knox.securefolder >nul
  <nul set /P "=."
  adb shell pm uninstall -k --user 0 com.samsung.knox.securefolder.setuppage >nul
  <nul set /P "=."
  adb shell pm uninstall -k --user 0 com.sec.android.service.sm >nul
  <nul set /P "=."
  echo(
)

if !manu! == !LGE! ( 
  <nul set /P "=Disabling LGE security issues, please wait."
  adb shell pm uninstall -k --user 0 com.lge.lpd >nul
  <nul set /P "=."  
  adb shell pm uninstall -k --user 0 com.lge.ia.task.smartcare >nul
  <nul set /P "=."  
  adb shell pm uninstall -k --user 0 com.lge.springcleaning >nul
  <nul set /P "=."  
  adb shell pm uninstall -k --user 0 com.lge.phonemanagement >nul
  <nul set /P "=."  
  adb shell pm uninstall -k --user 0 com.wsandroid.suite.lge >nul
  <nul set /P "=."
  echo(
)

if !manu! == !htc! ( 
  <nul set /P "=Disabling htc security issues, please wait."
  adb shell pm uninstall -k --user 0 com.lmi.htc.rescuesecurity >nul
  <nul set /P "=."
  echo(
)

if !manu! == !motorola! ( 
  <nul set /P "=Disabling motorola security issues, please wait."
  adb shell pm uninstall -k --user 0 com.lmi.motorola.rescuesecurity >nul
  <nul set /P "=."
  echo(
)

if !manu! == !sony! ( 
  <nul set /P "=Disabling sony security issues, please wait."
  adb shell pm uninstall -k --user 0 com.sonymobile.devicesecurity.service >nul
  <nul set /P "=."
  echo(
)

<nul set /P "=Disabling general security issues, please wait."
adb shell pm uninstall -k --user 0 com.sec.android.providers.security >nul
<nul set /P "=."
adb shell pm uninstall -k --user 0 com.android.providers.security >nul
<nul set /P "=."
adb shell pm uninstall -k --user 0 com.sec.android.service.sm >nul
<nul set /P "=."
adb shell pm uninstall -k --user 0 com.mediatek.security >nul
<nul set /P "=."
adb shell pm uninstall -k --user 0 com.gn.security >nul
<nul set /P "=."
adb shell pm uninstall -k --user 0 com.policydm >nul
<nul set /P "=."
echo(

FOR /F "tokens=* USEBACKQ" %%F IN (`adb shell settings get secure icon_blacklist`) DO (
  SET var1=%%F
)

echo(
<nul set /P "=Checking for current icon_blacklist."
timeout /t 1 > nul
<nul set /P "=."
timeout /t 1 > nul
<nul set /P "=."
timeout /t 1 > nul
if "%%var1"=="" (
  <nul set /P "= icon_blacklist is empty"
  ) else (
  <nul set /P "= %var1%"
  )

echo(
echo(%var1% | findstr "cast" 1>nul
if errorlevel 1 (
  set casticon=0  
  ) else (
  set casticon=1
  )
echo(%var1% | findstr "rotate" 1>nul
if errorlevel 1 (
  set rotateicon=0
  ) else (
  set rotateicon=1
  )

if "%%var1"=="" (
  echo Adding cast,rotate to icon_blacklist
  adb shell settings put secure icon_blacklist cast,rotate
  goto :finishes
  ) 

if %casticon%==0 if %rotateicon%==0 (
  if "%%var1"=="" (
    echo Adding cast,rotate to the current icon_blacklist - cast,rotate
    adb shell settings put secure icon_blacklist cast,rotate
    goto :finishes
  ) else (
    echo Adding cast,rotate to the current icon_blacklist - cast,rotate,%var1%
    adb shell settings put secure icon_blacklist cast,rotate,%var1%
    goto :finishes
  )
)

if %casticon%==0 if %rotateicon%==1 (
  if "%%var1"=="" (
    echo Adding cast to the current icon_blacklist - cast
    adb shell settings put secure icon_blacklist cast
    goto :finishes
  ) else (
    echo Adding cast to the current icon_blacklist - cast,%var1%
    adb shell settings put secure icon_blacklist cast,%var1%
    goto :finishes
  )
)

if %casticon%==1 if %rotateicon%==0 (
  if "%%var1"=="" (
    echo Adding rotate to the current icon_blacklist - rotate
    adb shell settings put secure icon_blacklist rotate
    goto :finishes
  ) else (
    echo Adding rotate to the current icon_blacklist - rotate,%var1%
    adb shell settings put secure icon_blacklist rotate,%var1%
    goto :finishes
  )
)

if %casticon%==1 if %rotateicon%==1 (
  echo Nothing to add, cast and rotate icon already in icon_blacklist!
  )

:finishes
echo(
adb shell settings put global guest_user_enabled 0
echo Disabling USB debug
adb shell settings put global adb_enabled 0

echo(
echo *********************************
echo *                               *
echo *   Done!                       *
echo *                               *
echo *   Please, reboot the device.  *
echo *                               *
echo *********************************
echo(
timeout /t 20 > nul